package com.njcn.csharmonic.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csharmonic.param.CsEventUserQueryPage;
import com.njcn.csharmonic.param.CsEventUserQueryParam;
import com.njcn.csharmonic.pojo.po.CsEventPO;
import com.njcn.csharmonic.pojo.po.CsEventUserPO;
import com.njcn.csharmonic.pojo.vo.EventDetailVO;
import com.njcn.web.pojo.param.BaseParam;

import java.util.List;

/**
 * 
 * Description:
 * Date: 2023/9/4  15:15【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface CsEventUserPOService extends IService<CsEventUserPO>{


        Integer queryEventCount(CsEventUserQueryParam csEventUserQueryParam);

        List<EventDetailVO> queryUserEventList(CsEventUserQueryParam csEventUserQueryParam);

        void updateStatus(CsEventUserQueryParam csEventUserQueryParam);

        Page<EventDetailVO> queryEventpage(CsEventUserQueryPage csEventUserQueryPage);

        Page<EventDetailVO> queryEventPageWeb(CsEventUserQueryPage csEventUserQueryPage);

        Page<CsEventPO> getFrontWarnInfo(BaseParam baseParam);
}
